# QuantumInformation package
This package contains numerous numerical methods for various quantum information and computation problems. The explanation of each of the numerical methods are explained in detail in the following book, ***"An Object Oriented Python Cookbook for Quantum Information Theory and Quantum Computing"***. The book contains more than 100 numerical routines in python and it will be extremely useful for a practising physicist, both theoretical and experimentl, working in the areas of quantum information theory, quantum computing, quantum entanglement and also on condensed matter quantum many-body spin half chains. We also remark here that, there is a chapter devoted to numerical linear algebra procedures and a final chapter on random states and matrices too. We can safely and humbly say that, the computational libraries cover a wide spectrum of topics. You can easily buy the book by clicking [here](https://www.routledge.com/An-Object-Oriented-Python-Cookbook-in-Quantum-Information-Theory-and-Quantum/Ramkarthik-Barkataki/p/book/9781032256078)

![alt text](https://github.com/pranay1990/QuantumInformation/blob/main/python%20book%20image.jpg)

## Files

The functionality of each module is extensively discussed in the book.

## Installation
Type the following command in the terminal of Linux or the command prompt of Windows, in order to install the package in your local computer.

**pip install QuantumInformation**

## License
Copyright 2023 CRC Press

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, distribute, sublicense, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

***THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.***
